<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PaxSeat StructType
 * @subpackage Structs
 */
class JP_PaxSeat extends AbstractStructBase
{
    /**
     * The SeatSelectionCode
     * @var string
     */
    public $SeatSelectionCode;
    /**
     * Constructor method for JP_PaxSeat
     * @uses JP_PaxSeat::setSeatSelectionCode()
     * @param string $seatSelectionCode
     */
    public function __construct($seatSelectionCode = null)
    {
        $this
            ->setSeatSelectionCode($seatSelectionCode);
    }
    /**
     * Get SeatSelectionCode value
     * @return string|null
     */
    public function getSeatSelectionCode()
    {
        return $this->SeatSelectionCode;
    }
    /**
     * Set SeatSelectionCode value
     * @param string $seatSelectionCode
     * @return \StructType\JP_PaxSeat
     */
    public function setSeatSelectionCode($seatSelectionCode = null)
    {
        // validation for constraint: string
        if (!is_null($seatSelectionCode) && !is_string($seatSelectionCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($seatSelectionCode, true), gettype($seatSelectionCode)), __LINE__);
        }
        $this->SeatSelectionCode = $seatSelectionCode;
        return $this;
    }
}
